package com.ruoyi.system.domain;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套系对象 po_tether
 *
 * @author ruoyi
 * @date 2023-02-12
 */
public class PoTether extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 套系id */
    private Long tetherId;

    /** 套系名字 */
    @Excel(name = "套系名字")
    private String tetherName;
    /**
     * 套系售卖状态
     */
    private Integer sellStatus;

    /**
     * 是否可以线下交换
     */
    private Integer exchange;

    /**
     * 套系图片
     */
    private String image;

    /** 展示时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "展示时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date showTimeStart;

    /** 展示时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "展示时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date showTimeEnd;

    /** 数量 */
    @Excel(name = "数量")
    private Long total;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /**
     * 上架
     */
    private Integer grounding;

    /**
     * 上链
     */
    private Integer cochain;

    /**
     * 逻辑删除
     */
    private String delFlag;

    public void setShowTimeEnd(Date showTimeEnd) {
        this.showTimeEnd = showTimeEnd;
    }

    public Date getShowTimeEnd() {
        return showTimeEnd;
    }

    public void setExchange(Integer exchange) {
        this.exchange = exchange;
    }

    public Integer getExchange() {
        return exchange;
    }

    public void setGrounding(Integer grounding) {
        this.grounding = grounding;
    }

    public Integer getGrounding() {
        return grounding;
    }

    public void setCochain(Integer cochain) {
        this.cochain = cochain;
    }

    public Integer getCochain() {
        return cochain;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setTetherId(Long tetherId)
    {
        this.tetherId = tetherId;
    }

    public Long getTetherId()
    {
        return tetherId;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getImage() {
        return image;
    }

    public void setSellStatus(Integer sellStatus) {
        this.sellStatus = sellStatus;
    }

    public Integer getSellStatus() {
        return sellStatus;
    }

    public void setTetherName(String tetherName)
    {
        this.tetherName = tetherName;
    }

    public String getTetherName()
    {
        return tetherName;
    }
    public void setShowTimeStart(Date showTime)
    {
        this.showTimeStart = showTime;
    }

    public Date getShowTimeStart()
    {
        return showTimeStart;
    }
    public void setTotal(Long total)
    {
        this.total = total;
    }

    public Long getTotal()
    {
        return total;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("tetherId", getTetherId())
                .append("tetherName", getTetherName())
                .append("showTimeStart", getShowTimeStart())
                .append("showTimeEnd",getShowTimeEnd())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("total", getTotal())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("sellStatus",getSellStatus())
                .append("delFlag",getDelFlag())
                .append("image",getImage())
                .append("exchange",getExchange())
                .append("grounding",getGrounding())
                .append("cochain",getCochain())
                .toString();
    }
}
